Skip to content

Download file content

GET
/v1/files/{file_id}/content
Code sample: curl
API="${PARSEHAWK_API_URL:-http://127.0.0.1:8000}"
curl --fail --silent --show-error \
"$API/v1/files/file_.../content" \
--output document.pdf

Stream the original stored bytes with their recorded media type and filename.

file_id
required
File Id

Immutable file identifier.

string

Immutable file identifier.

Original file bytes.

Media typeapplication/octet-stream
string format: binary

The requested ParseHawk resource does not exist.

Media typeapplication/json
ApiErrorResponse

Error returned by request validation or a ParseHawk domain service.

object
detail
required
Any of:
string
Examplegenerated
{
"detail": [
{}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Unexpected server error.

Media typeapplication/json
ApiErrorResponse

Error returned by request validation or a ParseHawk domain service.

object
detail
required
Any of:
string
Examplegenerated
{
"detail": [
{}
]
}